using System;

namespace GoFishTests
{

    /// <summary>
    /// Klasa MockRandom do testów, która zawsze zwraca określoną wartość.
    /// </summary>
    public class MockRandom : System.Random
    {
        public int ValueToReturn { get; set; } = 0;
        public override int Next() => ValueToReturn;
        public override int Next(int maxValue) => ValueToReturn;
        public override int Next(int minValue, int maxValue) => ValueToReturn;
    }
}
